import { DataUnit, Filter, Record } from "@sankhyalabs/core";
import { IColumnFilter } from "../interfaces/IColumnFilter";
import { IMultiSelectionOption } from "../../ez-multi-selection-list/interfaces/IMultiSelectionOption";
export declare class ColumnFilterManager {
  static getColumnFilters(filters: Array<Filter>, fieldName: string): Map<string, IColumnFilter>;
  static getFilterFunction(dataUnit: DataUnit, filters?: Array<IColumnFilter>): (record: Record) => boolean;
  static compileDistinct(fieldName: string, dataUnit: DataUnit): Array<IMultiSelectionOption>;
  static compileDistinctFromArray(fieldName: string, dataUnit: DataUnit, records: Array<Record>): Array<IMultiSelectionOption>;
}
